package com.szpg.plc.message.command.write;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.WriteMemoryCommand;
import com.szpg.plc.message.response.WriteMemoryCommandResponse;

public class SetDsRstBitCommand extends WriteMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1383089865755117482L;

	public final static int DS_RST = 1; //对射报警清除
	
	private int rst;

	public int getRst() {
		return rst;
	}

	public void setRst(int rst) {
		this.rst = rst;
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_SETDSRESET;
	}

	@Override
	public Class<WriteMemoryCommandResponse> getResponseClass() {
		return WriteMemoryCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送设置对射报警清除位命令[" + rst + "]";
	}
}
